public static interface AtomEndpointBuilderFactory.AtomBuilders
| Modifier and Type | Method and Description |
|---|---|
default AtomEndpointBuilderFactory.AtomEndpointBuilder |
atom(String path)
Atom (camel-atom)
Poll Atom RSS feeds.
|
default AtomEndpointBuilderFactory.AtomEndpointBuilder |
atom(String componentName,
String path)
Atom (camel-atom)
Poll Atom RSS feeds.
|
default AtomEndpointBuilderFactory.AtomEndpointBuilder atom(String path)
atom:feedUri
Path parameter: feedUri (required)
The URI to the feed to poll.path - feedUridefault AtomEndpointBuilderFactory.AtomEndpointBuilder atom(String componentName, String path)
atom:feedUri
Path parameter: feedUri (required)
The URI to the feed to poll.componentName - to use a custom component name for the endpoint
instead of the default namepath - feedUriApache Camel